# FoundationClasses
TKernel
NCollection

# FoundationClasses
TKernel
NCollection

# NCollection_Sequence< TheItemType >::Iterator Class Reference

Implementation of the Iterator interface.

`#include <NCollection_Sequence.hxx>`

Inheritance diagram for NCollection_Sequence< TheItemType >::Iterator:

[legend]

## Public Member Functions

| Iterator (void)
| Empty constructor - for later Init.
| Iterator (const NCollection_Sequence &theSeq, const Standard_Boolean isStart=Standard_True)
| Constructor with initialisation.
Iterator & | operator= (const Iterator &theIt)
| Assignment.
virtual Standard_Boolean | More (void) const
| Check end.
virtual void | Next (void)
| Make step.
virtual const TheItemType & | Value (void) const
| Constant value access.
virtual TheItemType & | ChangeValue (void) const
| Variable value access.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating iterators.

### template<class TheItemType>
class NCollection_Sequence< TheItemType >::Iterator

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_Sequence< TheItemType >::Iterator::Iterator | ( | void |  | ) | `[inline]`

| Reimplemented from NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
NCollection_Sequence< TheItemType >::Iterator::Iterator | ( | const NCollection_Sequence & | theSeq,
|  | const Standard_Boolean | isStart = `Standard_True`
| ) | `[inline]`

## Member Function Documentation

template<class TheItemType>
virtual TheItemType& NCollection_Sequence< TheItemType >::Iterator::ChangeValue | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
virtual Standard_Boolean NCollection_Sequence< TheItemType >::Iterator::More | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
virtual void NCollection_Sequence< TheItemType >::Iterator::Next | ( | void |  | ) | `[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
void* NCollection_Sequence< TheItemType >::Iterator::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheItemType>
Iterator& NCollection_Sequence< TheItemType >::Iterator::operator= | ( | const Iterator & | theIt | ) | `[inline]`

| Reimplemented from NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
virtual const TheItemType& NCollection_Sequence< TheItemType >::Iterator::Value | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

The documentation for this class was generated from the following file:

- NCollection_Sequence.hxx